Package owl.run.modules

## Class OwlModuleRegistry

- java.lang.Object
- - owl.run.modules.OwlModuleRegistry

-     public class OwlModuleRegistry
      extends Object

  A registry holding all modules used to parse the command line. These can be dynamically registered to allow for flexible parsing of command lines.
  See Also:
    `PipelineParser`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `OwlModuleRegistry.OwlModuleNotFoundException` |
    `static class` | `OwlModuleRegistry.Type` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static OwlModuleRegistry` | `DEFAULT_REGISTRY` | A preconfigured `registry`, holding commonly used utility modules.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OwlModuleRegistry()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Collection<OwlModuleParser<?>>` | `getAllOfType​(OwlModuleRegistry.Type type)` |
    `Map<OwlModuleRegistry.Type,​OwlModuleParser<?>>` | `getAllWithName​(String name)` |
    `OwlModuleParser.ReaderParser` | `reader​(String name)` |
    `void` | `register​(OwlModuleParser<?> parser)` |
    `void` | `register​(OwlModuleParser<?>... parser)` |
    `Set<OwlModuleParser<?>>` | `remove​(String name)` |
    `OwlModuleParser.TransformerParser` | `transformer​(String name)` |
    `OwlModuleParser.WriterParser` | `writer​(String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_REGISTRY

          public static final OwlModuleRegistry DEFAULT_REGISTRY

      A preconfigured `registry`, holding commonly used utility modules.

  - ### Constructor Detail

    - #### OwlModuleRegistry

          public OwlModuleRegistry()

  - ### Method Detail

    - #### reader

          public OwlModuleParser.ReaderParser reader​(String name)
                                              throws OwlModuleRegistry.OwlModuleNotFoundException

      Throws:
        `OwlModuleRegistry.OwlModuleNotFoundException`

    - #### transformer

          public OwlModuleParser.TransformerParser transformer​(String name)
                                                        throws OwlModuleRegistry.OwlModuleNotFoundException

      Throws:
        `OwlModuleRegistry.OwlModuleNotFoundException`

    - #### writer

          public OwlModuleParser.WriterParser writer​(String name)
                                              throws OwlModuleRegistry.OwlModuleNotFoundException

      Throws:
        `OwlModuleRegistry.OwlModuleNotFoundException`

    - #### getAllOfType

          public Collection<OwlModuleParser<?>> getAllOfType​(OwlModuleRegistry.Type type)

    - #### getAllWithName

          public Map<OwlModuleRegistry.Type,​OwlModuleParser<?>> getAllWithName​(String name)

    - #### register

          public void register​(OwlModuleParser<?>... parser)

    - #### register

          public void register​(OwlModuleParser<?> parser)

    - #### remove

          public Set<OwlModuleParser<?>> remove​(String name)